<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: Dokumentacja klasy Cuboid</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">0.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.8.17 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',false,false,'search.php','Szukaj');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('d2/d73/class_cuboid.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pro-methods">Metody chronione</a> &#124;
<a href="#pri-attribs">Atrybuty prywatne</a> &#124;
<a href="../../df/d53/class_cuboid-members.html">Lista wszystkich składowych</a>  </div>
  <div class="headertitle">
<div class="title">Dokumentacja klasy Cuboid</div>  </div>
</div><!--header-->
<div class="contents">

<p>Modeluje pojęcie prostopadłościanu.  
 <a href="../../d2/d73/class_cuboid.html#details">Więcej...</a></p>

<p><code>#include &lt;<a class="el" href="../../d9/dae/cuboid_8hh_source.html">cuboid.hh</a>&gt;</code></p>
<div class="dynheader">
Diagram dziedziczenia dla Cuboid</div>
<div class="dyncontent">
<div class="center"><img src="../../d4/df0/class_cuboid__inherit__graph.png" border="0" usemap="#_cuboid_inherit__map" alt="Inheritance graph"/></div>
<map name="_cuboid_inherit__map" id="_cuboid_inherit__map">
<area shape="rect" title="Modeluje pojęcie prostopadłościanu." alt="" coords="5,80,72,107"/>
<area shape="rect" href="../../d5/d02/class_drone.html" title="Modeluje pojęcie drona." alt="" coords="8,155,69,181"/>
<area shape="rect" href="../../d7/da7/class_shape.html" title="Modeluje pojęcie obiektu geometrycznego." alt="" coords="7,5,70,32"/>
<area shape="rect" href="../../d6/db5/class_scene.html" title="Modeluje pojęcie sceny." alt="" coords="8,229,69,256"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legenda</a>]</span></center></div>
<div class="dynheader">
Diagram współpracy dla Cuboid:</div>
<div class="dyncontent">
<div class="center"><img src="../../d7/df9/class_cuboid__coll__graph.png" border="0" usemap="#_cuboid_coll__map" alt="Collaboration graph"/></div>
<map name="_cuboid_coll__map" id="_cuboid_coll__map">
<area shape="rect" title="Modeluje pojęcie prostopadłościanu." alt="" coords="49,260,115,287"/>
<area shape="rect" href="../../d7/da7/class_shape.html" title="Modeluje pojęcie obiektu geometrycznego." alt="" coords="51,184,113,211"/>
<area shape="rect" href="../../d5/db2/class_vector.html" title=" " alt="" coords="5,95,159,121"/>
<area shape="rect" href="../../d5/db2/class_vector.html" title=" " alt="" coords="13,5,151,32"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legenda</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Metody chronione</h2></td></tr>
<tr class="memitem:a1abf60e93d024b7a01ee5b1a48f1f08a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d73/class_cuboid.html#a1abf60e93d024b7a01ee5b1a48f1f08a">Cuboid</a> ()</td></tr>
<tr class="memdesc:a1abf60e93d024b7a01ee5b1a48f1f08a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Konstruktor dla klasy <a class="el" href="../../d2/d73/class_cuboid.html" title="Modeluje pojęcie prostopadłościanu.">Cuboid</a>.  <a href="../../d2/d73/class_cuboid.html#a1abf60e93d024b7a01ee5b1a48f1f08a">Więcej...</a><br /></td></tr>
<tr class="separator:a1abf60e93d024b7a01ee5b1a48f1f08a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99d72f5f198a082b067309b2e5847595"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d73/class_cuboid.html#a99d72f5f198a082b067309b2e5847595">draw</a> (const std::string &amp;filename) const</td></tr>
<tr class="memdesc:a99d72f5f198a082b067309b2e5847595"><td class="mdescLeft">&#160;</td><td class="mdescRight">Zapisuje współrzędne prostopadłościanu do pliku Otwiera plik o zadanej nazwie, a następnie zapisuje do niego wszystkie wartości współrzędnych prostopadłościanu.  <a href="../../d2/d73/class_cuboid.html#a99d72f5f198a082b067309b2e5847595">Więcej...</a><br /></td></tr>
<tr class="separator:a99d72f5f198a082b067309b2e5847595"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_class_shape"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_class_shape')"><img src="../../closed.png" alt="-"/>&#160;Metody chronione dziedziczone z <a class="el" href="../../d7/da7/class_shape.html">Shape</a></td></tr>
<tr class="memitem:a392923e3a75a0710056ca4770af77ddc inherit pro_methods_class_shape"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da7/class_shape.html#a392923e3a75a0710056ca4770af77ddc">makeRadians</a> (double <a class="el" href="../../d7/da7/class_shape.html#a1642eab9d4f9d319a3d9a38d4a69cd90">angle</a>) const</td></tr>
<tr class="memdesc:a392923e3a75a0710056ca4770af77ddc inherit pro_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Przelicza stopnie na radiany.  <a href="../../d7/da7/class_shape.html#a392923e3a75a0710056ca4770af77ddc">Więcej...</a><br /></td></tr>
<tr class="separator:a392923e3a75a0710056ca4770af77ddc inherit pro_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa8d87171e65e0d8ba3c5459978992a7 inherit pro_methods_class_shape"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da7/class_shape.html#aaa8d87171e65e0d8ba3c5459978992a7">Shape</a> ()</td></tr>
<tr class="memdesc:aaa8d87171e65e0d8ba3c5459978992a7 inherit pro_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Konstruktor dla klasy <a class="el" href="../../d7/da7/class_shape.html" title="Modeluje pojęcie obiektu geometrycznego.">Shape</a>.  <a href="../../d7/da7/class_shape.html#aaa8d87171e65e0d8ba3c5459978992a7">Więcej...</a><br /></td></tr>
<tr class="separator:aaa8d87171e65e0d8ba3c5459978992a7 inherit pro_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a499ab02e6fd00d35c87e9409cab672dc inherit pro_methods_class_shape"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da7/class_shape.html#a499ab02e6fd00d35c87e9409cab672dc">translate</a> (const <a class="el" href="../../dc/dca/_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &amp;change)</td></tr>
<tr class="memdesc:a499ab02e6fd00d35c87e9409cab672dc inherit pro_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Powiększa wektor przesunięcia.  <a href="../../d7/da7/class_shape.html#a499ab02e6fd00d35c87e9409cab672dc">Więcej...</a><br /></td></tr>
<tr class="separator:a499ab02e6fd00d35c87e9409cab672dc inherit pro_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ab9606f25f5121c5d09e95de802f4c0 inherit pro_methods_class_shape"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da7/class_shape.html#a4ab9606f25f5121c5d09e95de802f4c0">writeAngle</a> (double change)</td></tr>
<tr class="memdesc:a4ab9606f25f5121c5d09e95de802f4c0 inherit pro_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Zapisuje kąt obrotu Jako parametr przyjmuje wartość kąta, a następnie powiększa kąt o jaki jest obrócony obiekt geometryczny o ten który podalismy.  <a href="../../d7/da7/class_shape.html#a4ab9606f25f5121c5d09e95de802f4c0">Więcej...</a><br /></td></tr>
<tr class="separator:a4ab9606f25f5121c5d09e95de802f4c0 inherit pro_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Atrybuty prywatne</h2></td></tr>
<tr class="memitem:a9f788a7def835f24fba6cb47e58527b9"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d73/class_cuboid.html#a9f788a7def835f24fba6cb47e58527b9">kModelCuboid</a> = &quot;solid/model.dat&quot;</td></tr>
<tr class="memdesc:a9f788a7def835f24fba6cb47e58527b9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Plik zawierający wzorcowy model prostopadłościanu.  <a href="../../d2/d73/class_cuboid.html#a9f788a7def835f24fba6cb47e58527b9">Więcej...</a><br /></td></tr>
<tr class="separator:a9f788a7def835f24fba6cb47e58527b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa4d9856dbc96c4eef4bc0dedb9855cd"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="../../dc/dca/_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d73/class_cuboid.html#aaa4d9856dbc96c4eef4bc0dedb9855cd">points</a></td></tr>
<tr class="memdesc:aaa4d9856dbc96c4eef4bc0dedb9855cd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Zbóir współrzędnych prostopadłościanu.  <a href="../../d2/d73/class_cuboid.html#aaa4d9856dbc96c4eef4bc0dedb9855cd">Więcej...</a><br /></td></tr>
<tr class="separator:aaa4d9856dbc96c4eef4bc0dedb9855cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Dodatkowe Dziedziczone Składowe</h2></td></tr>
<tr class="inherit_header pro_attribs_class_shape"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_class_shape')"><img src="../../closed.png" alt="-"/>&#160;Atrybuty chronione dziedziczone z <a class="el" href="../../d7/da7/class_shape.html">Shape</a></td></tr>
<tr class="memitem:a555a7ac666dcb2bcd80c20371a54ce02 inherit pro_attribs_class_shape"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da7/class_shape.html#a555a7ac666dcb2bcd80c20371a54ce02">fileName</a></td></tr>
<tr class="memdesc:a555a7ac666dcb2bcd80c20371a54ce02 inherit pro_attribs_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Nazwa pliku, w którym jest zapisany model obiektu geometrycznego.  <a href="../../d7/da7/class_shape.html#a555a7ac666dcb2bcd80c20371a54ce02">Więcej...</a><br /></td></tr>
<tr class="separator:a555a7ac666dcb2bcd80c20371a54ce02 inherit pro_attribs_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a6c23c7dae9cfcdd93800c08968a921 inherit pro_attribs_class_shape"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dca/_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da7/class_shape.html#a5a6c23c7dae9cfcdd93800c08968a921">translation</a></td></tr>
<tr class="memdesc:a5a6c23c7dae9cfcdd93800c08968a921 inherit pro_attribs_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wektor przesunięcia obiektu.  <a href="../../d7/da7/class_shape.html#a5a6c23c7dae9cfcdd93800c08968a921">Więcej...</a><br /></td></tr>
<tr class="separator:a5a6c23c7dae9cfcdd93800c08968a921 inherit pro_attribs_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1642eab9d4f9d319a3d9a38d4a69cd90 inherit pro_attribs_class_shape"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da7/class_shape.html#a1642eab9d4f9d319a3d9a38d4a69cd90">angle</a></td></tr>
<tr class="memdesc:a1642eab9d4f9d319a3d9a38d4a69cd90 inherit pro_attribs_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Kąt obrócenia figury geometrycznej.  <a href="../../d7/da7/class_shape.html#a1642eab9d4f9d319a3d9a38d4a69cd90">Więcej...</a><br /></td></tr>
<tr class="separator:a1642eab9d4f9d319a3d9a38d4a69cd90 inherit pro_attribs_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_static_attribs_class_shape"><td colspan="2" onclick="javascript:toggleInherit('pro_static_attribs_class_shape')"><img src="../../closed.png" alt="-"/>&#160;Statyczne atrybuty chronione dziedziczone z <a class="el" href="../../d7/da7/class_shape.html">Shape</a></td></tr>
<tr class="memitem:afeff37aabb0fa474e8820ad5372df342 inherit pro_static_attribs_class_shape"><td class="memItemLeft" align="right" valign="top">static int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da7/class_shape.html#afeff37aabb0fa474e8820ad5372df342">allCounter</a></td></tr>
<tr class="memdesc:afeff37aabb0fa474e8820ad5372df342 inherit pro_static_attribs_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Licznik utworzonych obiektów geometrycznych.  <a href="../../d7/da7/class_shape.html#afeff37aabb0fa474e8820ad5372df342">Więcej...</a><br /></td></tr>
<tr class="separator:afeff37aabb0fa474e8820ad5372df342 inherit pro_static_attribs_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock">
<p class="definition">Definicja w linii <a class="el" href="../../d9/dae/cuboid_8hh_source.html#l00014">14</a> pliku <a class="el" href="../../d9/dae/cuboid_8hh_source.html">cuboid.hh</a>.</p>
</div><h2 class="groupheader">Dokumentacja konstruktora i destruktora</h2>
<a id="a1abf60e93d024b7a01ee5b1a48f1f08a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1abf60e93d024b7a01ee5b1a48f1f08a">&#9670;&nbsp;</a></span>Cuboid()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Cuboid::Cuboid </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="../../df/d4f/cuboid_8cpp_source.html#l00008">8</a> pliku <a class="el" href="../../df/d4f/cuboid_8cpp_source.html">cuboid.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja funkcji składowych</h2>
<a id="a99d72f5f198a082b067309b2e5847595"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a99d72f5f198a082b067309b2e5847595">&#9670;&nbsp;</a></span>draw()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Cuboid::draw </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>filename</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramname">filename</td><td>- nazwa pliku </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definicja w linii <a class="el" href="../../df/d4f/cuboid_8cpp_source.html#l00023">23</a> pliku <a class="el" href="../../df/d4f/cuboid_8cpp_source.html">cuboid.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="../../d2/d73/class_cuboid_a99d72f5f198a082b067309b2e5847595_icgraph.png" border="0" usemap="#d2/d73/class_cuboid_a99d72f5f198a082b067309b2e5847595_icgraph" alt=""/></div>
<map name="d2/d73/class_cuboid_a99d72f5f198a082b067309b2e5847595_icgraph" id="d2/d73/class_cuboid_a99d72f5f198a082b067309b2e5847595_icgraph">
<area shape="rect" title="Zapisuje współrzędne prostopadłościanu do pliku Otwiera plik o zadanej nazwie, a następnie zapisuje d..." alt="" coords="497,31,604,57"/>
<area shape="rect" href="../../d5/d02/class_drone.html#a72b51743436557dbb7c3d4dae30f09c4" title="Zadaje ruch na wprost Korzystając z funkcji, która wylicza wektor przesunięcia wykonuje ruch drona na..." alt="" coords="291,5,449,32"/>
<area shape="rect" href="../../d5/d02/class_drone.html#ad657730896d4edb8e9b6ecb5dec69413" title="Obraca drona o zadany kąt." alt="" coords="316,56,424,83"/>
<area shape="rect" href="../../d6/db5/class_scene.html#a45aadc8e5a63422972db07fd9b0e8b76" title="Realizuje animacje ruchu." alt="" coords="108,5,243,32"/>
<area shape="rect" href="../../d6/db5/class_scene.html#a0a3d83da2246b9e98c9e04cef38e1778" title="Realizuje animacje ruchu." alt="" coords="108,56,243,83"/>
<area shape="rect" href="../../df/d0a/main_8cpp.html#ae66f6b31b5ad750f1fe042a706a4e3d4" title=" " alt="" coords="5,56,60,83"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Dokumentacja atrybutów składowych</h2>
<a id="a9f788a7def835f24fba6cb47e58527b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9f788a7def835f24fba6cb47e58527b9">&#9670;&nbsp;</a></span>kModelCuboid</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string Cuboid::kModelCuboid = &quot;solid/model.dat&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="../../d9/dae/cuboid_8hh_source.html#l00019">19</a> pliku <a class="el" href="../../d9/dae/cuboid_8hh_source.html">cuboid.hh</a>.</p>

</div>
</div>
<a id="aaa4d9856dbc96c4eef4bc0dedb9855cd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa4d9856dbc96c4eef4bc0dedb9855cd">&#9670;&nbsp;</a></span>points</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;<a class="el" href="../../dc/dca/_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a>&gt; Cuboid::points</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="../../d9/dae/cuboid_8hh_source.html#l00025">25</a> pliku <a class="el" href="../../d9/dae/cuboid_8hh_source.html">cuboid.hh</a>.</p>

</div>
</div>
<hr/>Dokumentacja dla tej klasy została wygenerowana z plików:<ul>
<li><a class="el" href="../../d9/dae/cuboid_8hh_source.html">cuboid.hh</a></li>
<li><a class="el" href="../../df/d4f/cuboid_8cpp_source.html">cuboid.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d2/d73/class_cuboid.html">Cuboid</a></li>
    <li class="footer">Wygenerowano przez
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
